summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2013-12-12 12:49:42 +0100
committer Erik Hanson2013-12-14 17:53:04 +0100
commit6f65c50dc6a53de196e2ec6cd2149f2c4f946e72 (patch)
treeed00ccf48b3abb2c4acec099655254f0f72e0b67 /games
parentb7eab76d3172fa4d9ea09df69fd412cc67ab0cb5 (diff)
downloadslackbuilds-6f65c50dc6a53de196e2ec6cd2149f2c4f946e72.tar.gz
games/fortune_doctor_who: Added (quotes from Doctor Who).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fortune_doctor_who/README11
-rw-r--r--games/fortune_doctor_who/fortune_doctor_who.SlackBuild55
-rw-r--r--games/fortune_doctor_who/fortune_doctor_who.info16
-rw-r--r--games/fortune_doctor_who/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/games/fortune_doctor_who/README b/games/fortune_doctor_who/README
new file mode 100644
index 0000000000..426b8f5967
--- /dev/null
+++ b/games/fortune_doctor_who/README
@@ -0,0 +1,11 @@
+fortune_doctor_who (quotes from Doctor Who)
+
+This is a collection of quotations from the BBC TV series "Doctor Who",
+for use with the fortune command.
+
+The quotes come from the original series (1963-1989), the new series
+(2005-present), and a few from the novels.
+
+After installing, use "fortune doctor_who" to see a Dr. Who quote. You
+can add doctor_who to the fortune command in bsd-games-login-fortune.sh,
+to see them on login.
diff --git a/games/fortune_doctor_who/fortune_doctor_who.SlackBuild b/games/fortune_doctor_who/fortune_doctor_who.SlackBuild
new file mode 100644
index 0000000000..0bbdddb676
--- /dev/null
+++ b/games/fortune_doctor_who/fortune_doctor_who.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# Slackware build script for fortune_doctor_who
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=fortune_doctor_who
+VERSION=${VERSION:-20130410}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/share/games/fortunes
+
+# Upstream's files are zipped fortune files, except they have a trailing %
+# as the last line, and some (but not all) have DOS-style CRLF endings.
+# The "fmt -s" splits long lines (which is at least a start at de-uglifying
+# the formatting). Someone really needs to manually clean it up, maybe I will
+# someday.
+for i in 01-08 09 10 11; do
+ unzip $CWD/Doctor_Who$i-quotes.zip
+ sed 's/\r//' Doctor_Who$i.txt | fmt -s >> $PKG/usr/share/games/fortunes/doctor_who
+done
+
+# Get rid of trailing % from last file (to avoid an empty fortune).
+sed -i '$d' $PKG/usr/share/games/fortunes/doctor_who
+
+( cd $PKG/usr/share/games/fortunes && strfile doctor_who )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fortune_doctor_who/fortune_doctor_who.info b/games/fortune_doctor_who/fortune_doctor_who.info
new file mode 100644
index 0000000000..57ec1df007
--- /dev/null
+++ b/games/fortune_doctor_who/fortune_doctor_who.info
@@ -0,0 +1,16 @@
+PRGNAM="fortune_doctor_who"
+VERSION="20130410"
+HOMEPAGE="http://www.innermind.com/software/quotes/files/qfiles.htm"
+DOWNLOAD="http://www.innermind.com/software/quotes/files/Doctor_Who01-08-quotes.zip \
+ http://www.innermind.com/software/quotes/files/Doctor_Who10-quotes.zip \
+ http://www.innermind.com/software/quotes/files/Doctor_Who11-quotes.zip \
+ http://www.innermind.com/software/quotes/files/Doctor_Who09-quotes.zip"
+MD5SUM="e26d5ff60423ebd48b28e4e200d4b22f \
+ 10a67489f20ca551e59eee77cddcc6ad \
+ 4975ba4c8740d24fe2d4215aafa745c7 \
+ 786a4f2942d9d639cf85d8de1f790dd4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/fortune_doctor_who/slack-desc b/games/fortune_doctor_who/slack-desc
new file mode 100644
index 0000000000..8a32b48651
--- /dev/null
+++ b/games/fortune_doctor_who/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune_doctor_who: fortune_doctor_who (quotes from Doctor Who)
+fortune_doctor_who:
+fortune_doctor_who: This is a collection of quotations from the BBC TV series
+fortune_doctor_who: "Doctor Who" for use with the fortune command.
+fortune_doctor_who:
+fortune_doctor_who: The quotes come from the original series (1963-1989), the new series
+fortune_doctor_who: (2005-present), and a few from the novels.
+fortune_doctor_who:
+fortune_doctor_who:
+fortune_doctor_who:
+fortune_doctor_who: